Skip to main content
GET
/
agents
/
{agent_id}
/
runs
/
{id}
Get a run
curl --request GET \
  --url https://whatsrb.com/api/v1/agents/{agent_id}/runs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "run_abc123",
    "agent_id": "<string>",
    "status": "pending",
    "triggered_by": "api",
    "input": "<unknown>",
    "output": "<unknown>",
    "model_used": "<string>",
    "input_tokens": 123,
    "output_tokens": 123,
    "latency_ms": 123,
    "duration_ms": 123,
    "error_message": "<string>",
    "completed_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key from the WhatsRB dashboard. Format: Bearer wrb_live_xxx

Path Parameters

agent_id
string
required
id
string
required

Response

OK

data
object